Downtime
This contains APIs related to CRUD operations of Downtime
Identifier for the Entity.
Account Identifier for the Entity.
Organization Identifier for the Entity.
Project Identifier for the Entity.
Bad Request
This is Failure entity as defied in Harness
Internal Server Error
GET /account/{accountIdentifier}/org/{orgIdentifier}/project/{projectIdentifier}/downtime/identifier/{identifier} HTTP/1.1
Host: cv-nextgen-94fb8b655-lbzqs
Accept: */*
{
"status": "SUCCESS",
"code": "DEFAULT_ERROR_CODE",
"message": "text",
"correlationId": "text",
"errors": [
{
"fieldId": "text",
"error": "text"
}
]
}Identifier for the Entity.
Account Identifier for the Entity.
Organization Identifier for the Entity.
Project Identifier for the Entity.
This is the Downtime entity defined in Harness
Bad Request
This is Failure entity as defied in Harness
Internal Server Error
PUT /account/{accountIdentifier}/org/{orgIdentifier}/project/{projectIdentifier}/downtime/identifier/{identifier} HTTP/1.1
Host: cv-nextgen-94fb8b655-lbzqs
Content-Type: application/json
Accept: */*
Content-Length: 442
{
"orgIdentifier": "text",
"projectIdentifier": "text",
"identifier": "text",
"name": "text",
"description": "text",
"tags": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"category": "ScheduledMaintenance",
"scope": "Project",
"spec": {
"type": "Onetime",
"spec": {
"timezone": "text",
"startTime": 1,
"startDateTime": "text",
"type": "text"
}
},
"entitiesRule": {
"affectedEntity": {
"serviceName": "text",
"envName": "text",
"monitoredServiceIdentifier": "text"
},
"type": "All"
},
"enabled": true
}{
"status": "SUCCESS",
"code": "DEFAULT_ERROR_CODE",
"message": "text",
"correlationId": "text",
"errors": [
{
"fieldId": "text",
"error": "text"
}
]
}Identifier for the Entity.
Account Identifier for the Entity.
Organization Identifier for the Entity.
Project Identifier for the Entity.
Bad Request
This is Failure entity as defied in Harness
Internal Server Error
DELETE /account/{accountIdentifier}/org/{orgIdentifier}/project/{projectIdentifier}/downtime/identifier/{identifier} HTTP/1.1
Host: cv-nextgen-94fb8b655-lbzqs
Accept: */*
{
"status": "SUCCESS",
"code": "DEFAULT_ERROR_CODE",
"message": "text",
"correlationId": "text",
"errors": [
{
"fieldId": "text",
"error": "text"
}
]
}Identifier for the Entity.
Account Identifier for the Entity.
Organization Identifier for the Entity.
Project Identifier for the Entity.
Bad Request
This is Failure entity as defied in Harness
Internal Server Error
GET /account/{accountIdentifier}/org/{orgIdentifier}/project/{projectIdentifier}/downtime/monitored-services/{identifier} HTTP/1.1
Host: cv-nextgen-94fb8b655-lbzqs
Accept: */*
{
"status": "SUCCESS",
"code": "DEFAULT_ERROR_CODE",
"message": "text",
"correlationId": "text",
"errors": [
{
"fieldId": "text",
"error": "text"
}
]
}Account Identifier for the Entity.
Organization Identifier for the Entity.
Project Identifier for the Entity.
Page Index of the results to fetch.Default Value: 0
0Results per page
10Bad Request
This is Failure entity as defied in Harness
Internal Server Error
GET /account/{accountIdentifier}/org/{orgIdentifier}/project/{projectIdentifier}/downtime/monitored-services HTTP/1.1
Host: cv-nextgen-94fb8b655-lbzqs
Accept: */*
{
"status": "SUCCESS",
"code": "DEFAULT_ERROR_CODE",
"message": "text",
"correlationId": "text",
"errors": [
{
"fieldId": "text",
"error": "text"
}
]
}Account Identifier for the Entity.
Organization Identifier for the Entity.
Project Identifier for the Entity.
Page Index of the results to fetch.Default Value: 0
0Results per page
10For filtering on the basis of monitored services' identifiers
For filtering on the basis of name
Bad Request
This is Failure entity as defied in Harness
Internal Server Error
GET /account/{accountIdentifier}/org/{orgIdentifier}/project/{projectIdentifier}/downtime/history HTTP/1.1
Host: cv-nextgen-94fb8b655-lbzqs
Accept: */*
{
"status": "SUCCESS",
"code": "DEFAULT_ERROR_CODE",
"message": "text",
"correlationId": "text",
"errors": [
{
"fieldId": "text",
"error": "text"
}
]
}Account Identifier for the Entity.
Organization Identifier for the Entity.
Project Identifier for the Entity.
Page Index of the results to fetch.Default Value: 0
0Results per page
10For filtering on the basis of monitored services' identifiers
For filtering on the basis of name
Bad Request
This is Failure entity as defied in Harness
Internal Server Error
GET /account/{accountIdentifier}/org/{orgIdentifier}/project/{projectIdentifier}/downtime/list HTTP/1.1
Host: cv-nextgen-94fb8b655-lbzqs
Accept: */*
{
"status": "SUCCESS",
"code": "DEFAULT_ERROR_CODE",
"message": "text",
"correlationId": "text",
"errors": [
{
"fieldId": "text",
"error": "text"
}
]
}Account Identifier for the Entity.
Organization Identifier for the Entity.
Project Identifier for the Entity.
This is the Downtime entity defined in Harness
Bad Request
This is Failure entity as defied in Harness
Internal Server Error
POST /account/{accountIdentifier}/org/{orgIdentifier}/project/{projectIdentifier}/downtime HTTP/1.1
Host: cv-nextgen-94fb8b655-lbzqs
Content-Type: application/json
Accept: */*
Content-Length: 442
{
"orgIdentifier": "text",
"projectIdentifier": "text",
"identifier": "text",
"name": "text",
"description": "text",
"tags": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"category": "ScheduledMaintenance",
"scope": "Project",
"spec": {
"type": "Onetime",
"spec": {
"timezone": "text",
"startTime": 1,
"startDateTime": "text",
"type": "text"
}
},
"entitiesRule": {
"affectedEntity": {
"serviceName": "text",
"envName": "text",
"monitoredServiceIdentifier": "text"
},
"type": "All"
},
"enabled": true
}{
"status": "SUCCESS",
"code": "DEFAULT_ERROR_CODE",
"message": "text",
"correlationId": "text",
"errors": [
{
"fieldId": "text",
"error": "text"
}
]
}Identifier for the Entity.
Account Identifier for the Entity.
Organization Identifier for the Entity.
Project Identifier for the Entity.
Bad Request
This is Failure entity as defied in Harness
Internal Server Error
PUT /account/{accountIdentifier}/org/{orgIdentifier}/project/{projectIdentifier}/downtime/flag/{identifier}?enable=true HTTP/1.1
Host: cv-nextgen-94fb8b655-lbzqs
Accept: */*
{
"status": "SUCCESS",
"code": "DEFAULT_ERROR_CODE",
"message": "text",
"correlationId": "text",
"errors": [
{
"fieldId": "text",
"error": "text"
}
]
}Last updated
Was this helpful?